API reference / Account

Get usage

Read the account's plan, inbox count, and remaining monthly balances. A 402 billing_limit error on another operation means a balance here is spent; upgrading is done by a person in the dashboard.

GET/v1/usage

Requires an API key with the inboxes:read scope. MCP tool: get_usage. CLI: goshenemail account usage.

Request

Response

FieldTypeNotes
billing"metered" | "exempt" | "disabled"
planobject | null
planIdstring
statusstring
currentPeriodEndstring | null
canceledAtstring | null
inboxesobject
countnumber
limitnumber | null
featuresobject[]
featurestring
grantednumber | null
usednumber
remainingnumber | null
unlimitedboolean
resetsAtstring | null
plansobject[]
planId"free" | "developer" | "team"
namestring
descriptionstring
pricenumber
includedobject
inboxesnumber
sendsnumber
triagenumber
customDomainsnumber
storageMbnumber
seatsnumber
topUpsboolean

Errors return { "error": { "code", "message", "transient" } } with a 4xx or 5xx status. See Errors.

Examples

curl

curl "https://api.goshenemail.com/v1/usage" \
  -H "Authorization: Bearer $GOSHENEMAIL_API_KEY"

CLI

goshenemail account usage